From d578eb8812f19dd4cfa4254c1417230805c31fb8 Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Mon, 26 Jun 2017 13:41:29 +0200
Subject: [PATCH 1/6] Free allocated memory when 2 patterns used

Ensure to free pattern2 aswell when allocated.
---
 src/bin/psql/command.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/src/bin/psql/command.c b/src/bin/psql/command.c
index 14c64208ca..0468bc37f6 100644
--- a/src/bin/psql/command.c
+++ b/src/bin/psql/command.c
@@ -806,6 +806,9 @@ exec_command_d(PsqlScanState scan_state, bool active_branch, const char *cmd)
 						pattern2 = psql_scan_slash_option(scan_state,
 														  OT_NORMAL, NULL, true);
 					success = listDbRoleSettings(pattern, pattern2);
+
+					if (pattern2)
+						free(pattern2);
 				}
 				else
 					status = PSQL_CMD_UNKNOWN;
-- 
2.13.0.rc0.45.ge2cb6ab.dirty

